Developers

Converts a simple project to a normal project

POST
/project/projects/{id}/convert-simple-to-normal

Converts a simple project to a normal project

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Project identifier

Response Body

Project resource created

  1. response
id?string
Formatuuid
no?|
Lengthlength <= 50
numbering?|null
description?|
Lengthlength <= 100000
name?string
Lengthlength <= 100
category?|null
dateStart?string
Formatdate-time
dateEnd?string
Formatdate-time
dateStartPlanned?string
Formatdate-time
dateEndPlanned?string
Formatdate-time
assignedProjectUsersPm?array<>
isBlameableRemovalEnabled?boolean
Defaultfalse
status?string
Value in"in-preparation""open""suspended""closed"
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
shortCode?string
Length6 <= length <= 6
isSimple?boolean
Defaultfalse
simpleBoardShortCode?|
Length6 <= length <= 6
simpleBoardId?|
Formatuuid
contractors?array<>
budget?|
Formatfloat
Defaultnull
tags?array<>
isFavorite?boolean
Defaultfalse
userRole?|
Value in"none""pm-passive""pm-active""pm-operational"
userPermissions?array<>
stageCount?|
Defaultnull
progress?|
Range0 <= value <= 100
Defaultnull
timeReported?|
Defaultnull
timePlanned?|
Defaultnull
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/project/projects/string/convert-simple-to-normal'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "no": "string",  "numbering": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "pattern": "string",    "counterPadLength": 0,    "counterNextValue": 0,    "counterInterval": "P1M",    "isDefault": true  },  "description": "string",  "name": "string",  "category": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string"  },  "dateStart": "2019-08-24T14:15:22Z",  "dateEnd": "2019-08-24T14:15:22Z",  "dateStartPlanned": "2019-08-24T14:15:22Z",  "dateEndPlanned": "2019-08-24T14:15:22Z",  "assignedProjectUsersPm": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "projectUser": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "shortCode": "string",        "firstName": "string",        "lastName": "string",        "email": "string",        "pictureSm": "string",        "pictureLg": "string",        "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",        "contractorName": "string",        "canLogIn": true,        "phoneNumber": "string",        "jobPositionName": "string",        "hourlyRate": null,        "isExternal": true,        "decorator": "string"      },      "role": "none",      "hourlyRate": null,      "canReportTime": true    }  ],  "isBlameableRemovalEnabled": false,  "status": "in-preparation",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "shortCode": "string",  "isSimple": false,  "simpleBoardShortCode": "string",  "simpleBoardId": "26a73ca2-967e-4906-8e94-e5265bcdc516",  "contractors": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ],  "budget": null,  "tags": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ],  "isFavorite": false,  "userRole": "none",  "userPermissions": [    "canManage"  ],  "stageCount": null,  "progress": null,  "timeReported": null,  "timePlanned": null}